Bug 239122 - multimedia/libva-utils drop patch for Makefile.am
Summary: multimedia/libva-utils drop patch for Makefile.am
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-10 20:33 UTC by Dries Michiels
Modified: 2019-07-12 16:55 UTC (History)
0 users

See Also:
madpilot: maintainer-feedback+


Attachments
poudriere testport (123.09 KB, text/plain)
2019-07-10 20:33 UTC, Dries Michiels
no flags Details
svn diff (1.41 KB, patch)
2019-07-10 20:34 UTC, Dries Michiels
no flags Details | Diff
svn diff (1.78 KB, patch)
2019-07-10 20:42 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2019-07-10 20:33:32 UTC
Created attachment 205672 [details]
poudriere testport

Hi, 

Thanks for keeping the port up-to date with the latest upstream release!

I noticed that upstream fixed the X11 OFF build issue in their repository.
The patch file "files/patch-Makefile.am" can therefore be safely deleted.

In RELNOTES of 2.5: sfcsample: don't include X11 headers

In attachments a poudriere testport log without the patch from our repository (and in make.conf options_unset = X11) and a svn generated diff.
Comment 1 Dries Michiels 2019-07-10 20:34:02 UTC
Created attachment 205673 [details]
svn diff
Comment 2 Dries Michiels 2019-07-10 20:42:33 UTC
Created attachment 205674 [details]
svn diff
Comment 3 Guido Falsi freebsd_committer 2019-07-11 09:25:20 UTC
Thanks for the report. and patch.

I'm testing and going to commit this.
Comment 4 Guido Falsi freebsd_committer 2019-07-12 16:55:21 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2019-07-12 16:55:27 UTC
A commit references this bug:

Author: madpilot
Date: Fri Jul 12 16:54:53 UTC 2019
New revision: 506481
URL: https://svnweb.freebsd.org/changeset/ports/506481

Log:
  Remove unneeded patch.

  PR:		239122
  Submitted by:	Dries Michiels <driesm.michiels@gmail.com>

Changes:
  head/multimedia/libva-utils/Makefile
  head/multimedia/libva-utils/files/patch-Makefile.am
  head/multimedia/libva-utils/pkg-plist